library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.std_logic_unsigned.all;

entity control_led is
    Port ( clk : in  STD_LOGIC;
           rst : in  STD_LOGIC;
           led : out  STD_LOGIC);
end control_led;

architecture Behavioral of control_led is

signal led_int, p_led_int : std_logic;
signal cuenta, p_cuenta : integer range 0 to 100000000;

begin

led <= led_int;

sinc: process (rst, clk)
begin
	if (rst='1') then
		led_int <= '0';
		cuenta <= 0;
	elsif (clk='1' and clk'event) then
		led_int <= p_led_int;
		cuenta <= p_cuenta;
	end if;
end process;

comb: process (led_int, cuenta)
begin
	if (cuenta = 99999999) then
		p_led_int <= NOT led_int;
		p_cuenta <= 0;
	else
		p_led_int <= led_int;
		p_cuenta <= cuenta + 1;
	end if;
end process;

end Behavioral;

